from django.test import TestCase

# Create your tests here.

class HomePageTest(TestCase):

    def test_home_page_returns_correct_html(self):
        response = self.client.get('/')
        self.assertTemplateUsed(response, 'home.html')


class IngredientsPageTests(TestCase):

    def test_ingredients_list_returns_correct_html(self):
        response = self.client.get('/ingredients_list')
        self.assertTemplateUsed(response, 'ingredients_list.html')

    def test_ingredients_detail_returns_correct_html(self):
        response = self.client.get('/ingredients_detail')
        self.assertTemplateUsed(response, 'ingredients_detail.html')

    def test_ingredients_update_returns_correct_html(self):
        response = self.client.get('/ingredients_update_form')
        self.assertTemplateUsed(response, 'ingredients_update_form.html')
    
    def test_ingredients_create_returns_correct_html(self):
        response = self.client.get('/ingredients_create_form')
        self.assertTemplateUsed(response, 'ingredients_create_form.html')    


class RecipesPageTests(TestCase):

    def test_recipes_list_returns_correct_html(self):
        response = self.client.get('/recipes_list')
        self.assertTemplateUsed(response, 'recipes_list.html')
    
    def test_recipes_detail_returns_correct_html(self):
        response = self.client.get('/recipes_detail')
        self.assertTemplateUsed(response, 'recipes_detail.html')
    
    def test_recipes_update_returns_correct_html(self):
        response = self.client.get('/recipes_update_form')
        self.assertTemplateUsed(response, 'recipes_update_form.html')
    
    def test_recipes_create_returns_correct_html(self):
        response = self.client.get('/recipes_create_form')
        self.assertTemplateUsed(response, 'recipes_create_form.html')         