from django.conf.urls import url

from .views import HomePageView
from .views import IngredientsListView, IngredientsDetailView, IngredientsUpdateView, IngredientsCreateView
from .views import RecipesListView, RecipesDetailView, RecipesUpdateView, RecipesCreateView


urlpatterns = [
    url(r'^$', HomePageView.as_view(), name='home'),
    url(r'^ingredients_list$', IngredientsListView.as_view(), name='ingredients_list'),
    url(r'^ingredients_detail$', IngredientsDetailView.as_view(), name='ingredients_detail'),
    url(r'^ingredients_update_form$', IngredientsUpdateView.as_view(), name='ingredients_update_form'),
    url(r'^ingredients_create_form$', IngredientsCreateView.as_view(), name='ingredients_create_form'),
    url(r'^recipes_list$', RecipesListView.as_view(), name='recipes_list'),
    url(r'^recipes_detail$', RecipesDetailView.as_view(), name='recipes_detail'),
    url(r'^recipes_update_form$', RecipesUpdateView.as_view(), name='recipes_update_form'),
    url(r'^recipes_create_form$', RecipesCreateView.as_view(), name='recipes_create_form')

]